-- 基础信息
base_info = {
	group_id = 111102107
}

-- Trigger变量
defs = {
	chest_id = 107006,
	hint_gadget_id = 107007
}

-- DEFS_MISCS
local windball_worktops =
{
    107001,
    107002,
    107003
,
    107004,
    107005,
    107009
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	{ config_id = 107001, gadget_id = 70290672, pos = { x = 1503.996, y = 267.016, z = -1121.877 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, worktop_config = { init_options = { 7 } } },
	{ config_id = 107002, gadget_id = 70290672, pos = { x = 1503.464, y = 267.622, z = -1133.107 }, rot = { x = 355.529, y = 359.756, z = 359.127 }, level = 1 },
	{ config_id = 107003, gadget_id = 70290672, pos = { x = 1494.102, y = 267.937, z = -1144.305 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 107004, gadget_id = 70290672, pos = { x = 1474.868, y = 267.266, z = -1155.386 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 107005, gadget_id = 70290672, pos = { x = 1456.647, y = 265.366, z = -1147.762 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 107006, gadget_id = 70211001, pos = { x = 1446.852, y = 265.518, z = -1140.935 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 26, drop_tag = "战斗低级蒙德", isOneoff = true, persistent = true },
	{ config_id = 107007, gadget_id = 70290693, pos = { x = 1501.603, y = 267.532, z = -1132.524 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 107009, gadget_id = 70290673, pos = { x = 1448.315, y = 265.718, z = -1142.726 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 }
}

-- 区域
regions = {
	{ config_id = 107008, shape = RegionShape.POLYGON, pos = { x = 1481.809, y = 267.781, z = -1139.144 }, height = 45.084, point_array = { { x = 1514.457, y = -1123.375 }, { x = 1510.934, y = -1109.970 }, { x = 1494.898, y = -1115.805 }, { x = 1488.166, y = -1133.768 }, { x = 1449.506, y = -1133.366 }, { x = 1449.162, y = -1159.168 }, { x = 1475.388, y = -1168.317 }, { x = 1492.488, y = -1157.567 }, { x = 1511.375, y = -1143.285 } } }
}

-- 触发器
triggers = {
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 107001, 107002, 107003, 107004, 107005, 107009 },
		regions = { 107008 },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V3_4/WindBall"
